#ifndef __HOUGH_TRANSFORM_H__
#define __HOUGH_TRANSFORM_H__

#include <vector>
#include <stdio.h>
#include <opencv2/opencv.hpp>
#include <ippi.h>
#include <ippcc.h>
#include <ippcv.h>
#include <ipps.h>

using namespace std;
using namespace cv;

int hough_opencv(const Mat &srcImg, 
        vector<Point> &points1, vector<Point> &points2);
int hough_ipp(const Mat &srcImg,
        vector<Point> &points1, vector<Point> &points2);

void drawLines(Mat &srcImg, vector<Point> &points1, vector<Point> &points2);

#endif
